MUX8(9)

NAME

mux8 - Select from one of eight input values

SYNOPSIS

loadrt mux8 [count=N|names=name1[,name2...]]

FUNCTIONS

mux8.N (requires a floating-point thread)

PINS

mux8.N.sel0 bit in

mux8.N.sel1 bit in

mux8.N.sel2 bit in
    Together, these determine which inN value is copied to out.

mux8.N.out float out
    Follows the value of one of the inN values according to the three sel values

    sel2=FALSE, sel1=FALSE, sel0=FALSE
        out follows in0

    sel2=FALSE, sel1=FALSE, sel0=TRUE
        out follows in1

    sel2=FALSE, sel1=TRUE, sel0=FALSE
        out follows in2

    sel2=FALSE, sel1=TRUE, sel0=TRUE
        out follows in3

    sel2=TRUE, sel1=FALSE, sel0=FALSE
        out follows in4

    sel2=TRUE, sel1=FALSE, sel0=TRUE
        out follows in5

    sel2=TRUE, sel1=TRUE, sel0=FALSE
        out follows in6

    sel2=TRUE, sel1=TRUE, sel0=TRUE
        out follows in7

mux8.N.in0 float in

mux8.N.in1 float in

mux8.N.in2 float in

mux8.N.in3 float in

mux8.N.in4 float in

mux8.N.in5 float in

mux8.N.in6 float in

mux8.N.in7 float in

SEE ALSO

mux2(9), mux4(9), mux16(9), mux_generic(9).

AUTHOR

Stuart Stevenson

LICENSE

GPL